org.apache.ode.bpel.evtproc

## Class ActivityStateDocumentBuilder

- java.lang.Object
- - org.apache.ode.bpel.evtproc.ActivityStateDocumentBuilder

- All Implemented Interfaces:
    BpelEventListener

      public class ActivityStateDocumentBuilder
      extends java.lang.Object
      implements BpelEventListener

  Class used to generate `org.apache.ode.bpel.pmapi.istate.InstanceDocument` objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivityStateDocumentBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ActivityInfoDocument>` | `getActivities()`
    `java.lang.Long` | `getScope()`
    `boolean` | `isRemoveCompleted()`
    `void` | `onEvent(BpelEvent be)` Handle events.
    `void` | `setRemoveCompleted(boolean removeCompleted)`
    `void` | `setScope(java.lang.Long scope)`
    `void` | `shutdown()` Allows the clean up in listener implementations.
    `void` | `startup(java.util.Properties configProperties)` Allows the initialisation of listeners.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActivityStateDocumentBuilder

          public ActivityStateDocumentBuilder()

  - ### Method Detail

    - #### getActivities

          public java.util.List<ActivityInfoDocument> getActivities()

    - #### isRemoveCompleted

          public boolean isRemoveCompleted()

    - #### setRemoveCompleted

          public void setRemoveCompleted(boolean removeCompleted)

    - #### getScope

          public java.lang.Long getScope()

    - #### setScope

          public void setScope(java.lang.Long scope)

    - #### onEvent

          public void onEvent(BpelEvent be)

      Description copied from interface: `BpelEventListener`
      Handle events.
      Specified by:
        `onEvent` in interface `BpelEventListener`
      Parameters:
        `be` - BPEL event

    - #### shutdown

          public void shutdown()

      Description copied from interface: `BpelEventListener`
      Allows the clean up in listener implementations. Called directly before adding the listener to the listeners list.
      Specified by:
        `shutdown` in interface `BpelEventListener`

    - #### startup

          public void startup(java.util.Properties configProperties)

      Description copied from interface: `BpelEventListener`
      Allows the initialisation of listeners. Called directly after removing the listener from the listeners list. `configProperties` provide access to configuration option defined in Ode's configuration file (depends on the used IL implementation). This parameter might be null if no configuration options are available (i.e. in test cases).
      Specified by:
        `startup` in interface `BpelEventListener`
      Parameters:
        `configProperties` - configuration properties